unit UnitWarten;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ComCtrls, Gauges;

type
  TWartenMaske = class(TForm)
    Panel1: TPanel;
    ProgressBar1: TGauge;
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    FS:INTEGER;
   procedure ZIPPos(Sender: TObject; Filename: String; uncompressed_size: Integer);
  end;

var
  WartenMaske: TWartenMaske;

implementation

{$R *.DFM}

USES AutomaticMultiLanguageSystem;

procedure TWartenMaske.ZIPPos(Sender: TObject; Filename: String; uncompressed_size: Integer);
begin
 ProgressBar1.MaxValue:=FS;
 ProgressBar1.Progress:=ProgressBar1.Progress+uncompressed_size;
 Invalidate;
 Application.ProcessMessages;
end;

procedure TWartenMaske.FormCreate(Sender: TObject);
begin
 TranslateComponent(SELF);
end;

end.
